import { HttpClient } from "@angular/common/http";
import { BaseApiTemplateService } from "../../shared/base-api-template-service.model";
import { ApiVisa } from "../../shared/api-visa.model";
export declare class MembershipPointsTxnImportFileService extends BaseApiTemplateService<any> {
    readonly url: string;
    constructor(http: HttpClient);
    uploadImportFile(formData: FormData, fileType: string, visa: ApiVisa): import("rxjs").Observable<Object>;
    memberPointTxndownloadCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
}
